import { PropType, Ref } from "vue";
export declare type mode = "horizontal" | "vertical";
export declare type activeName = string | number;
export declare type openNames = string | number;
export declare type openName = openNames[];
export declare type modePropType = PropType<mode>;
export declare type activeNamePropType = PropType<activeName>;
export declare type openNamesPropType = PropType<openNames>;
export declare type openNamePropType = PropType<openName>;
export interface MenuProvideOptions {
    mode: mode;
    activeName: Ref<activeName>;
    openName: Ref<openName>;
    SwitchOpenName: (name: openNames) => void;
}
